Skip to main content
GET
/
sites
/
{siteId}
/
approvals
List all approvals
curl --request GET \
  --url https://api.surefeedback.com/api/v1/sites/{siteId}/approvals \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "page_url": "https://example.com/home",
      "status": "approved",
      "approved_by": { "id": "...", "name": "Jane Smith" },
      "approved_at": "2026-03-01T09:00:00Z"
    },
    {
      "page_url": "https://example.com/about",
      "status": "unapproved"
    }
  ]
}
Returns all page approval records for a site.

Path parameters

siteId
string
required
UUID or site token of the site.
{
  "success": true,
  "data": [
    {
      "page_url": "https://example.com/home",
      "status": "approved",
      "approved_by": { "id": "...", "name": "Jane Smith" },
      "approved_at": "2026-03-01T09:00:00Z"
    },
    {
      "page_url": "https://example.com/about",
      "status": "unapproved"
    }
  ]
}